Delete Email Template

Deletes the Email template for a specified Email template type within a specific Tenant.

DELETE
/v2/manage/email-templates/{templateType}

Deletes the Email template for a specified Email template type within a specific Tenant.

Authorization

M2MBearerToken
AuthorizationBearer <token>

M2M Token for authentication

In: header

Path Parameters

templateType*string

The type of Email template to delete.

Value in"registration" | "forgotpassword" | "forgotprovider" | "deleteaccount" | "add_email" | "welcome" | "oneclicksignin" | "autologin" | "noregistrationpasswordlesslogin" | "resetpassword" | "suspicious_ip_email_to_user" | "suspicious_city_email_to_user" | "suspicious_country_email_to_user" | "suspicious_browser_email_to_user" | "risk_identified_to_admin" | "forgotpin" | "secondfactorauthentication" | "invite_user_to_organization" | "suspicious_device_email_to_user" | "breached_password" | "admin_notification_breached_password" | "add_passkey" | "delete_passkey" | "forget_passkey"

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

TemplateName*string

The name of the template

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://api.loginradius.com/v2/manage/email-templates/registration" \  -H "Content-Type: application/json" \  -d '{    "TemplateName": "string"  }'
{
  "IsDeleted": true
}
{
  "ErrorCode": 8099,
  "Message": "Invalid email templates configuration",
  "Description": "The email type is invalid. Please provide a valid email type."
}
{
  "Message": "Access Unauthorized",
  "Description": "Access Unauthorized, please use valid authorization to access this endpoint.",
  "ErrorCode": 6002
}

{
  "ErrorCode": 7923,
  "Message": "Email template does not exist",
  "Description": "The email template does not exist, Please use a valid email template."
}

{
  "Message": "Operation failed due to an internal error.",
  "Description": "An unknown internal error occurred, please try again in a few minutes or contact your system administrator.",
  "ErrorCode": 7909
}